Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227854 - F-spot crashes when started
Summary: F-spot crashes when started
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 16:20 UTC by Espen Stefansen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.3.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 18:41:55 UTC


Attachments (Terms of Use)

Description Espen Stefansen 2007-02-08 16:20:29 UTC
Description of problem:
F-spot crashes when started from the menu.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start f-spot from the menu
2.
3.
  
Actual results:
When f-spot is started it encounters a fatal problem:
En uhåndtert feil oppstod:GL

  at (wrapper managed-to-native) GdkGlx.Context:glXChooseVisual (intptr,int,int[])
  at GdkGlx.Context..ctor (Gdk.Screen screen, GdkGlx.Context share_list,
System.Int32[] attr) [0x00000] 
  at GdkGlx.Context..ctor (Gdk.Screen screen, System.Int32[] attr) [0x00000] 
  at FSpot.PhotoImageView.HandleRealized (System.Object sender, System.EventArgs
args) [0x00000] 
  at FSpot.PhotoImageView..ctor (IBrowsableCollection query) [0x00000] 
  at FSpot.PhotoView..ctor (IBrowsableCollection query) [0x00000] 
  at MainWindow..ctor (.Db db) [0x00000] 
  at FSpot.Core.get_MainWindow () [0x00000] 
  at FSpot.Core.Organize () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] 
.NET Version: 2.0.50727.42

Assembly Version Information:

google-sharp (0.1.0.0)
FlickrNet (2.1.2.20722)
SmugMugNet (0.0.0.0)
pango-sharp (2.10.0.0)
SemWeb (0.7.1.0)
glade-sharp (2.10.0.0)
gtkhtml-sharp (2.16.0.0)
gconf-sharp (2.16.0.0)
System.Data (2.0.0.0)
Mono.Data.SqliteClient (2.0.0.0)
gdk-sharp (2.10.0.0)
gnome-vfs-sharp (2.16.0.0)
NDesk.DBus (0.0.0.0)
System (2.0.0.0)
Mono.Posix (2.0.0.0)
NDesk.DBus.GLib (0.0.0.0)
atk-sharp (2.10.0.0)
gtk-sharp (2.10.0.0)
glib-sharp (2.10.0.0)
gnome-sharp (2.16.0.0)
f-spot (0.3.2.0)
Mono.GetOptions (2.0.0.0)
mscorlib (2.0.0.0)
Platform Information: Linux 2.6.20-1.2922.fc7 i686 i386 GNU/Linux

Distribution Information:

[/etc/redhat-release]
Fedora release 6.90 (Rawhide)

[/etc/fedora-release]
Fedora release 6.90 (Rawhide)



If it is started from the command-line, i get this as well:
[espens@rawhide ~]$ f-spot
GTK Accessibility Module initialized
Bonobo accessibility support initialized
Starting new FSpot server

(f-spot:4289): libglade-WARNING **: unknown attribute `comment' for <property>.
System.DllNotFoundException: GL
  at (wrapper managed-to-native) GdkGlx.Context:glXChooseVisual (intptr,int,int[])
  at GdkGlx.Context..ctor (Gdk.Screen screen, GdkGlx.Context share_list,
System.Int32[] attr) [0x00000] 
  at GdkGlx.Context..ctor (Gdk.Screen screen, System.Int32[] attr) [0x00000] 
  at FSpot.PhotoImageView.HandleRealized (System.Object sender, System.EventArgs
args) [0x00000] 
  at FSpot.PhotoImageView..ctor (IBrowsableCollection query) [0x00000] 
  at FSpot.PhotoView..ctor (IBrowsableCollection query) [0x00000] 
  at MainWindow..ctor (.Db db) [0x00000] 
  at FSpot.Core.get_MainWindow () [0x00000] 
  at FSpot.Core.Organize () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] 



Expected results:


Additional info:

Comment 1 Espen Stefansen 2007-02-08 16:22:46 UTC
I forgot the version:
f-spot-0.3.2-1.fc7


Comment 2 Espen Stefansen 2007-02-14 18:41:55 UTC
It works in f-spot 0.3.3


Note You need to log in before you can comment on or make changes to this bug.